## Installation

`mbstring` est une extension PHP. L'extension doit être activé avec l'option `configure`. Voir la section installation pour plus de détails.

Les options de configurations suivantes sont liées à l'extension `mbstring`.

- --enable-mbstring : Active les fonctions `mbstring`. Cette option est nécessaire pour utiliser les fonctions `mbstring`.

  libmbfl est nécessaire pour `mbstring`. libmbfl est inclus avec `mbstring`. Antérieur à PHP 7.3.0, si libmbfl est déjà installé sur le système, --with-libmbfl[=DIR] peut être spécifié pour utiliser la bibliothèque installée.

- --disable-mbregex : Désactive les fonctions d'expression régulières avec le support de caractère multioctets.

  Oniguruma est nécessaire pour les fonctions d'expression régulière avec le support de caractère multioctets. À partir de PHP 7.4.0, pkg-config est utilisé pour détecter la bibliothèque libonig. Antérieur à PHP 7.4.0, Oniguruma était inclue avec `mbstring`, mais il était possible de compiler contre une version de libonig déjà installé en passant --with-onig[=DIR].

  Il est possible de désactiver la vérification du backtrack (retour sur ses pas) des regex multioctets en spécifiant --disable-mbregex-backtrack.